# smartClientCore - Advertisement Add-On
## Implementation Guideline

_Applies to: HTML5 Custom Video Player_  
_Last Modified on 2020-10-28T09:47:15.132Z_

A JavaScript library (further referenced as **add-on**) to extend HTML5 video solutions.
 Aside of supporting the IAB video advertising standards (VAST, VPAID), it adds complex sequencing capabilities (Opener, Closer, Bumper, Sponsored Ads),
 includes mechanism for waterfalling, helps bypassing ad-blockers with ad-reinsertion and is fully compliant with **smartclip's video advertising eco-system** and its connected vendor networks.


### Table of contents
- [Implementation](implementation.md)
  - [Player Prerequisites](implementation.md#player-prerequisites)
  - [Installing](implementation.md#installing)
  - [Safeguarding the Video Player](implementation.md#safeguarding-the-video-player)
  - [Basic Initialization](implementation.md#basic-initialization)
- [Setup](setup.md)
  - [Global Configuration](setup-global-config.md)
  - [Sequential Configuration](setup-sequential-config.md)
- [Facade and Video Player Interface](FacadeBase.md)
- [Static API](plugin-static-api.md)
  - [Methods](plugin-static-api.md#methods)
  - [Properties](plugin-static-api.md#properties)
- [Plugin API](PublisherAPI.md)
- [Events](events.md)
  - [EVENT list](events.md#event-list)
- [Error Codes](errorcodes.md)
- [Glossar](glossar.md)

****

